<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each specific one. For example, AmaTheme
 * already has tag.php for Tag archives, category.php for Category archives,
 * and author.php for Author archives.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */

get_header(); ?>

<div class="row">
		
	<div class="col-xs-12 col-sm-8">
	
		<div class="amatheme-post amatheme-archive">
		<div id="content" class="col-md-12" role="main">

			<?php if ( have_posts() ) : ?>
				<div class="thumbnail amatheme-post-header">
					<h3 class="archive-title"><?php
						if ( is_day() ) :
							printf( __( 'Daily Archives: %s', 'amatheme' ), get_the_date() );
						elseif ( is_month() ) :
							printf( __( 'Monthly Archives: %s', 'amatheme' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'amatheme' ) ) );
						elseif ( is_year() ) :
							printf( __( 'Yearly Archives: %s', 'amatheme' ), get_the_date( _x( 'Y', 'yearly archives date format', 'amatheme' ) ) );
						else :
							_e( 'Archives', 'amatheme' );
						endif;
					?></h3>
				</div><!-- /.amatheme-post-header -->

				<?php /* The loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>
				<div class="amatheme-archive-holder">
			
					<div class="thumbnail amatheme-post-header">
						<h1 class="entry-title">
							<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
						</h1>

						<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
							<?php the_post_thumbnail('featured'); ?>
						<?php endif; ?>
					</div><!-- /.amatheme-post-header -->
					
					<div class="col-md-12 amatheme-post-meta">
						<ul>
							<li class="col-md-6 post-rating">						
								<?php edit_post_link( __( 'Edit', 'amatheme' ), '<span class="edit-link">', '</span>' ); ?>
							</li>
								
							<li class="col-md-6 post-meta">
								<?php amatheme_entry_meta(); ?>
							</li>
						</ul>	
					</div><!-- /.amatheme-post-meta -->
					
					<div class="amatheme-post-area">
						<?php the_excerpt(); ?>
					</div><!-- /.amatheme-post-area -->
				
				</div>
				<?php endwhile; ?>

				<?php amatheme_paging_nav(); ?>

			<?php else : ?>
				<?php get_template_part( 'content', 'none' ); ?>
			<?php endif; ?>

		</div><!-- /.col-md-12 -->
		</div><!-- /.amatheme-post -->

	</div><!-- /.col-xs-12 -->

<?php get_sidebar(); ?>

</div><!--/ .row-->

<?php get_footer(); ?>