<?php
/**
 * The template for displaying Category pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */

get_header(); ?>

<div class="row">
		
	<div class="col-xs-12 col-sm-8">
	
		<div class="amatheme-post amatheme-archive">
		<div id="content" class="col-md-12" role="main">

			<?php if ( have_posts() ) : ?>
				<div class="thumbnail amatheme-post-header">
					<h3 class="archive-title"><?php printf( __( 'Category Archives: %s', 'amatheme' ), single_cat_title( '', false ) ); ?></h3>

					<?php if ( category_description() ) : // Show an optional category description ?>
						<div class="archive-meta"><?php echo category_description(); ?></div>
					<?php endif; ?>
				</div><!-- .archive-header -->

				<?php /* The loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<div class="amatheme-archive-holder">
			
						<div class="thumbnail amatheme-post-header">
							<h1 class="entry-title">
								<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
							</h1>

							<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
								<?php the_post_thumbnail('featured'); ?>
							<?php endif; ?>
						</div><!-- /.amatheme-post-header -->
						
						<div class="col-md-12 amatheme-post-meta">
							<ul>
								<li class="col-md-6 post-rating">						
									<?php edit_post_link( __( 'Edit', 'amatheme' ), '<span class="edit-link">', '</span>' ); ?>
								</li>
									
								<li class="col-md-6 post-meta">
									<?php amatheme_entry_meta(); ?>
								</li>
							</ul>	
						</div><!-- /.amatheme-post-meta -->
						
						<div class="amatheme-post-area">
							<?php the_excerpt(); ?>
						</div><!-- /.amatheme-post-area -->
					
					</div>
				<?php endwhile; ?>

				<?php amatheme_paging_nav(); ?>

			<?php else : ?>
				<?php get_template_part( 'content', 'none' ); ?>
			<?php endif; ?>

		</div><!-- /.col-md-12 -->
		</div><!-- /.amatheme-post -->

	</div><!-- /.col-xs-12 -->

<?php get_sidebar(); ?>

</div><!--/ .row-->

<?php get_footer(); ?>