<?php
/**
 * The template for displaying posts in the Image post format.
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="thumbnail amatheme-post-header">
		<?php if ( is_single() ) : ?>
			<h1 class="entry-title"><?php the_title(); ?></h1>
		<?php else : ?>
			<h1 class="entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h1>
		<?php endif; // is_single() ?>

		<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
			<?php the_post_thumbnail('featured'); ?>
		<?php endif; ?>
	</div><!-- /.amatheme-post-header -->
					
	<div class="col-md-12 amatheme-post-meta">
		<ul>
			<li class="col-md-6 post-rating">
				<?php if( get_post_meta($post->ID, 'azonrating_value', true) ) { ?>
					<?php $postazonrating = get_post_meta($post->ID, 'azonrating_value', true); { // Check for rating ?>
						<p><?php _e( 'Rated:', 'amatheme' ); ?>
							<?php if ($postazonrating ==  ".5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-point-five.png" alt="Rated: .5" />
							<?php } elseif ($postazonrating ==  "1") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-one.png" alt="Rated: 1" />
							<?php } elseif ($postazonrating ==  "1.5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-one-five.png" alt="Rated: 1.5" />
							<?php } elseif ($postazonrating ==  "2") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-two.png" alt="Rated: 2" />
							<?php } elseif ($postazonrating ==  "2.5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-two-five.png" alt="Rated: 2.5" />
							<?php } elseif ($postazonrating ==  "3") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-three.png" alt="Rated: 3" />
							<?php } elseif ($postazonrating ==  "3.5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-three-five.png" alt="Rated: 3.5" />
							<?php } elseif ($postazonrating ==  "4") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-four.png" alt="Rated: 4" />
							<?php } elseif ($postazonrating ==  "4.5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-four-five.png" alt="Rated: 4.5" />
							<?php } elseif ($postazonrating ==  "5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-five.png" alt="Rated: 5" />
							<?php } ?>
						</p>
					<?php } // End rating check ?>
				<?php } ?>
					
				<?php edit_post_link( __( 'Edit', 'amatheme' ), '<span class="edit-link">', '</span>' ); ?>
			</li>
			
			<?php if( get_post_meta($post->ID, 'azonafflink_value', true) ) { ?>
				<li class="col-md-6 post-buy-now">
					<a href="<?php echo get_post_meta($post->ID, 'azonafflink_value', true); ?>"><button type="button" class="btn btn-warning btn-lg">
						<span class="glyphicon glyphicon-shopping-cart"></span> Buy Now
					</button></a>
				</li>
			<?php } ?>
			
			<li class="col-md-6 post-meta">
				<?php amatheme_entry_meta(); ?>
				<span class="post-meta-element"><span class="glyphicon glyphicon-comment"></span> <?php comments_number( 'Leave a comment', '1 comment', '% comments' ); ?>.</span>
			</li>
		</ul>	
	</div><!-- /.amatheme-post-meta -->

	<div class="amatheme-post-area">
		<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'amatheme' ) ); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'amatheme' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
	</div><!-- .entry-content -->

	<div class="entry-meta">
		<?php if ( comments_open() && ! is_single() ) : ?>
		<span class="comments-link">
			<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a comment', 'amatheme' ) . '</span>', __( 'One comment so far', 'amatheme' ), __( 'View all % comments', 'amatheme' ) ); ?>
		</span><!-- .comments-link -->
		<?php endif; // comments_open() ?>

		<?php if ( is_single() && get_the_author_meta( 'description' ) && is_multi_author() ) : ?>
			<?php get_template_part( 'author-bio' ); ?>
		<?php endif; ?>
	</div><!-- .entry-meta -->
	
</article><!-- #post -->