<?php
/**
 * The template for displaying a "No posts found" message.
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */
?>
<div class="row">
		
	<div class="col-xs-12 col-sm-8">
	
		<div class="amatheme-post">
		<div id="content" class="col-md-12" role="main">	

			<div class="thumbnail amatheme-post-header">
				<h1 class="page-title"><?php _e( 'Nothing Found', 'amatheme' ); ?></h1>
			</div><!-- /.amatheme-post-header -->

			<div class="amatheme-post-area">
				<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

				<p><?php printf( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'amatheme' ), admin_url( 'post-new.php' ) ); ?></p>

				<?php elseif ( is_search() ) : ?>

				<p><?php _e( 'Sorry, but nothing matched your search terms. Please try again with different keywords.', 'amatheme' ); ?></p>
				<div class="col-md-4 searchdiv"><?php get_search_form(); ?></div>

				<?php else : ?>

				<p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'amatheme' ); ?></p>
				<div class="col-md-4 searchdiv"><?php get_search_form(); ?></div>

				<?php endif; ?>
			</div><!-- .page-content -->
			
			</div><!-- /.col-md-12 -->
		</div><!-- /.amatheme-post -->

</div><!-- /.col-xs-12 -->

<?php get_sidebar(); ?>

</div><!--/ .row-->

<?php get_footer(); ?>