<?php
/**
 * The template for displaying posts in the Quote post format.
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="thumbnail amatheme-post-header">
		<?php if ( is_single() ) : ?>
			<h1 class="entry-title"><?php the_title(); ?></h1>
		<?php else : ?>
			<h1 class="entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h1>
		<?php endif; // is_single() ?>
	</div><!-- /.amatheme-post-header -->
	
	<div class="col-md-12 amatheme-post-meta">
		<ul>
			<li class="col-md-6 post-rating">	
				<?php edit_post_link( __( 'Edit', 'amatheme' ), '<span class="edit-link">', '</span>' ); ?>
			</li>
		</ul>	
	</div><!-- /.amatheme-post-meta -->
	
	<div class="amatheme-post-area">
		<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'amatheme' ) ); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'amatheme' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
	</div><!-- .entry-content -->

	<div class="entry-meta">
		<?php if ( comments_open() && ! is_single() ) : ?>
		<span class="comments-link">
			<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a comment', 'amatheme' ) . '</span>', __( 'One comment so far', 'amatheme' ), __( 'View all % comments', 'amatheme' ) ); ?>
		</span><!-- .comments-link -->
		<?php endif; // comments_open() ?>
	</div><!-- .entry-meta -->
	
</article><!-- #post -->