<?php
/**
 * The template for displaying posts in the Status post format.
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<div class="thumbnail amatheme-post-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
	</div><!-- /.amatheme-post-header -->
	
	<div class="col-md-12 amatheme-post-meta">
		<ul>
			<li class="col-md-6 post-rating">					
				<?php edit_post_link( __( 'Edit', 'amatheme' ), '<span class="edit-link">', '</span>' ); ?>
			</li>
	
			<li class="col-md-6 post-meta">
				<?php amatheme_entry_meta(); ?>
			</li>
		</ul>	
	</div><!-- /.amatheme-post-meta -->
	
	<div class="amatheme-post-area">
		<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'amatheme' ) ); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'amatheme' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
	</div><!-- .entry-content -->

	<div class="entry-meta">		
		<?php if ( is_single() && get_the_author_meta( 'description' ) && is_multi_author() ) : ?>
			<?php get_template_part( 'author-bio' ); ?>
		<?php endif; ?>
	</div><!-- .entry-meta -->
	
</article><!-- #post -->