<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
	
	<!-- Fonts -->
	<link href='http://fonts.googleapis.com/css?family=Karla:400,400italic,700,700italic' rel='stylesheet' type='text/css'>
	<link href='http://fonts.googleapis.com/css?family=Lato:400,300' rel='stylesheet' type='text/css'>
	
</head>

<body <?php body_class(); ?>>

<div id="page" class="hfeed site">
	
	<div class="container">
	
		<header id="masthead" class="site-header" role="banner">
			<div class="page-header clearfix">
				<div class="pull-left col-xs-12 col-md-4">
					<?php if ( get_theme_mod( 'amatheme_logo' ) ) : ?>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" class="thumbnail" rel="home"><img src="<?php echo esc_url( get_theme_mod( 'amatheme_logo' ) ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a>
					<?php else : ?>
						<a class="home-link" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><h1 class="site-title"><?php bloginfo( 'name' ); ?></h1></a>
					<?php endif; ?>
					
					<p class="description"><?php bloginfo( 'description' ); ?></p>
				</div>
				
				<div class="pull-right col-xs-12 col-md-8 amatheme-leaderboard">
					<?php dynamic_sidebar( 'leaderboard' ); ?>
				</div>
			</div><!-- /.page-header -->

			<div class="navbar navbar-teal">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					</button>
				</div>
				
				<div id="navmain" class="navbar-collapse collapse" role="navigation">		
					<?php
						wp_nav_menu( array(
						'theme_location' => 'primary',
						'depth' => 2,
						'container' => false,
						'menu_class' => 'dropdown nav navbar-nav',
						//Process nav menu using our custom nav walker
						'walker' => new wp_bootstrap_navwalker()));
					?>
				</div><!--/.nav-collapse -->
			</div><!-- /.navbar -->
		</header><!-- #masthead -->
