<?php
/**
 * The template for displaying image attachments.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */

get_header(); ?>
<div class="row">
		
	<div class="col-xs-12 col-sm-8">
	
		<div class="amatheme-post amatheme-image-single">
		<div id="content" class="col-md-12" role="main">
		
			<article id="post-<?php the_ID(); ?>" <?php post_class( 'image-attachment' ); ?>>
				<div class="thumbnail amatheme-post-header">
					<h1 class="entry-title"><?php the_title(); ?></h1>

					<div class="entry-meta">
						<?php
						$published_text = __( '<span class="attachment-meta">Published on <time class="entry-date" datetime="%1$s">%2$s</time> in <a href="%3$s" title="Return to %4$s" rel="gallery">%5$s</a></span>', 'amatheme' );
						$post_title = get_the_title( $post->post_parent );
						if ( empty( $post_title ) || 0 == $post->post_parent )
							$published_text = '<span class="attachment-meta"><time class="entry-date" datetime="%1$s">%2$s</time></span>';

						printf( $published_text,
							esc_attr( get_the_date( 'c' ) ),
							esc_html( get_the_date() ),
							esc_url( get_permalink( $post->post_parent ) ),
							esc_attr( strip_tags( $post_title ) ),
							$post_title
						);

						$metadata = wp_get_attachment_metadata();
						printf( '<span class="attachment-meta full-size-link"><a href="%1$s" title="%2$s">%3$s (%4$s &times; %5$s)</a></span>',
							esc_url( wp_get_attachment_url() ),
							esc_attr__( 'Link to full-size image', 'amatheme' ),
							__( 'Full resolution', 'amatheme' ),
							$metadata['width'],
							$metadata['height']
						);

						edit_post_link( __( 'Edit', 'amatheme' ), '<span class="edit-link">', '</span>' );
						?>
					</div><!-- .entry-meta -->
				</div><!-- .amatheme-post-header -->

				<div class="amatheme-post-area">
					<nav id="image-navigation" class="navigation image-navigation" role="navigation">
						<span class="nav-previous pull-left"><?php previous_image_link( false, __( '<span class="meta-nav">&larr;</span> Previous', 'amatheme' ) ); ?></span>
						<span class="nav-next pull-right"><?php next_image_link( false, __( 'Next <span class="meta-nav">&rarr;</span>', 'amatheme' ) ); ?></span>
					</nav><!-- #image-navigation -->

					<div class="entry-attachment">
						<div class="attachment">
							<?php amatheme_the_attached_image(); ?>

							<?php if ( has_excerpt() ) : ?>
							<div class="entry-caption">
								<?php the_excerpt(); ?>
							</div>
							<?php endif; ?>
						</div><!-- .attachment -->
					</div><!-- .entry-attachment -->

					<?php if ( ! empty( $post->post_content ) ) : ?>
					<div class="entry-description">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'amatheme' ), 'after' => '</div>' ) ); ?>
					</div><!-- .entry-description -->
					<?php endif; ?>

				</div><!-- .amatheme-post-area -->
			</article><!-- #post -->

			<?php comments_template(); ?>

		</div><!-- /.col-md-12 -->
		</div><!-- /.amatheme-post -->

	</div><!-- /.col-xs-12 -->

<?php get_sidebar(); ?>

</div><!--/ .row-->

<?php get_footer(); ?>