<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */

get_header(); ?>

<div class="row">
		
	<div class="col-xs-12 col-sm-8">
	
		<div id="carousel" class="carousel slide">

		<!-- Wrapper for slides -->
		<div class="carousel-inner amatheme-featured">	
			<?php
			$queryObject = new  Wp_Query( array(
				'showposts' => 5,
				'tag' => featured,
				'orderby' => 'date',
				'order' => 'DSC'
				));

			// The Loop
			if ( $queryObject->have_posts() ) :
				$i = 0;
				while ( $queryObject->have_posts() ) :
					$queryObject->the_post();
					if ( $i == 0 ) : ?>
						<div class="item active">
					<?php endif; if ( $i != 0 ) : ?>
						<div class="item">
					<?php endif; ?>
						<?php if ( has_post_thumbnail() ) : ?>
							<a href="<?php the_permalink(); ?>" rel="nofollow"><?php the_post_thumbnail('featured'); ?></a>
						<?php endif; ?>
						<div class="carousel-caption">
							<h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
							<?php the_excerpt(); ?>
						</div>
					</div>
					<?php $i++;
				endwhile;
			endif; ?>
		</div>

		<!-- Controls -->
		<a class="left carousel-control" href="#carousel" data-slide="prev">
			<span class="icon-prev"></span>
		</a>
		<a class="right carousel-control" href="#carousel" data-slide="next">
			<span class="icon-next"></span>
		</a>
	</div><!-- /.carousel -->
	
	
	<?php
		$queryCompare = new  Wp_Query( array(
		'showposts' => 4,
		'post_type' => 'comparison',
		));
		// The Loop
		if ( $queryCompare->have_posts() ) : ?>
			<div class="amatheme-comparisons" <?php echo ( get_theme_mod( 'amatheme_homepage' ) ) ? "style='display:none; padding: 0;'" : "" ?> >
				<div class="col-xs-12 col-md-12 clearfix">
				<h4><?php _e( 'Compare & Buy', 'amatheme' ); ?></h4>
				
				<?php while ( $queryCompare->have_posts() ) :
					$queryCompare->the_post(); ?>
	
					<div class="col-xs-3 col-md-3 hero-feature">
					  <div class="thumbnail">
						<?php if ( has_post_thumbnail() ) : ?>
							<a href="<?php the_permalink(); ?>" rel="nofollow"><?php the_post_thumbnail('featured'); ?></a>
						<?php endif; ?>
						<div class="caption">
						  <h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
						  <p><?php the_excerpt(); ?></p>
						  <p><a href="<?php the_permalink(); ?>" rel="nofollow" class="btn btn-primary"><?php _e( 'Compare This!', 'amatheme' ); ?></a></p>
						</div>
					  </div>
					</div>

		<?php endwhile; ?>
			</div>
		</div><!--/.amatheme-comparisons -->
	<?php endif; ?>
	
	<?php
	$queryReview = new  Wp_Query( array(
	'showposts' => 4,
	'category_name' => 'reviews'
	));
	// The Loop
	if ( $queryReview->have_posts() ) : ?>

	<div <?php echo ( get_theme_mod( 'amatheme_homepagereviews' ) ) ? "style='display:none; padding: 0;'" : "" ?> >
	<div class="amatheme-reviewed">
		<div class="col-md-12">
			<h4><?php _e( 'Recently Reviewed', 'amatheme' ); ?></h4>
			<ul>
				<?php while ( $queryReview->have_posts() ) : $queryReview->the_post(); ?>
				<li class="thumbnail col-xs-12">					
					
					<?php $postazonrating = get_post_meta($post->ID, 'azonrating_value', true); { // Check for rating ?>
						<p class="col-xs-2 col-md-2 text-left">
							<?php if ($postazonrating ==  ".5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-point-five.png" alt="Rated: .5" />
							<?php } elseif ($postazonrating ==  "1") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-one.png" alt="Rated: 1" />
							<?php } elseif ($postazonrating ==  "1.5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-one-five.png" alt="Rated: 1.5" />
							<?php } elseif ($postazonrating ==  "2") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-two.png" alt="Rated: 2" />
							<?php } elseif ($postazonrating ==  "2.5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-two-five.png" alt="Rated: 2.5" />
							<?php } elseif ($postazonrating ==  "3") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-three.png" alt="Rated: 3" />
							<?php } elseif ($postazonrating ==  "3.5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-three-five.png" alt="Rated: 3.5" />
							<?php } elseif ($postazonrating ==  "4") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-four.png" alt="Rated: 4" />
							<?php } elseif ($postazonrating ==  "4.5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-four-five.png" alt="Rated: 4.5" />
							<?php } elseif ($postazonrating ==  "5") { ?>
								<img src="<?php bloginfo('template_url'); ?>/img/rating-five.png" alt="Rated: 5" />
							<?php } ?>
						</p>
					<?php } // End rating check ?>
					
					<div class="col-xs-7 col-md-7">
						<h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
						<p><?php the_excerpt(); ?></p>
					</div>
					
					<?php if ( has_post_thumbnail() ) : ?>
						<a href="<?php the_permalink(); ?>" class="col-xs-3 col-md-3" rel="nofollow"><?php the_post_thumbnail('reviewed'); ?></a>
					<?php endif; ?>
				</li>
				<?php endwhile; ?>
			</ul>
		</div>
		</div> <!-- /.amatheme-reviewed -->	
	</div><!-- /.homepagereviews -->
	<?php endif; ?>	
	
	</div><!-- /.col-xs-12 -->
	
<?php get_sidebar(); ?>

</div><!--/ .row-->
	
<div <?php echo ( get_theme_mod( 'amatheme_homepageblogposts' ) ) ? "style='display:none; padding: 0;'" : "" ?> >
	<div class="row amatheme-popular">
		<div class="col-md-12">
		<h4><?php _e( 'Recent Blog Posts', 'amatheme' ); ?></h4>
			<?php if ( have_posts() ) : ?>
			<ul>
				<?php $i = 0; while (have_posts() && $i < 4) : the_post(); ?>
				<li class="thumbnail col-xs-3 col-md-3">
					<?php if ( has_post_thumbnail() ) : ?>
						<a href="<?php the_permalink(); ?>" rel="nofollow"><?php the_post_thumbnail('featured'); ?></a>
					<?php endif; ?>
					<h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
					<p><?php $content = get_the_content(); ?>
						<?php
						// get the first 80 words from the content and added to the $abstract variable
						 preg_match('/^([^.!?\s]*[\.!?\s]+){0,6}/', strip_tags($content), $abstract);
						// pregmatch will return an array and the first 80 chars will be in the first element 
						echo $abstract[0] . '...'; ?></p>
				</li>
				<?php $i++; endwhile; ?>
				<?php else : ?>
					<li><?php get_template_part( 'content', 'none' ); ?></li>
			</ul>
			<?php endif; ?>
		</div><!-- /.col-md-12 -->
	</div><!-- /.amatheme-popular -->
</div><!-- /.homepageblogposts -->

<?php get_footer(); ?>