/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 * Things like site title and description changes.
 */

( function( $ ) {
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );
	
	wp.customize( 'amatheme_link_color', function( value ) {
        value.bind( function( to ) {
            $( 'a' ).css( 'color', to );
        } );
    });
	
	wp.customize( 'amatheme_link_hover_color', function( value ) {
        value.bind( function( to ) {
            $( 'a' ).css( 'color', to );
        } );
    });
	
	wp.customize( 'amatheme_navbg_color', function( value ) {
        value.bind( function( to ) {
            $( '.navbar-teal' ).css( 'background-color', to );
        } );
    });
	
	wp.customize( 'amatheme_navbghover_color', function( value ) {
        value.bind( function( to ) {
            $( '.nav > li > a:hover ' ).css( 'background', to );
        } );
    });
	
	wp.customize( 'amatheme_navbglink_color', function( value ) {
        value.bind( function( to ) {
            $( '.navbar-teal .nav > li > a' ).css( 'color', to );
        } );
    });
	
	wp.customize( 'amatheme_srfrbg_color', function( value ) {
        value.bind( function( to ) {
            $( '#sidebar .well' ).css( 'background', to );
        } );
    });	
	
	// Header text color.
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			if ( 'blank' == to ) {
				if ( 'remove-header' == _wpCustomizeSettings.values.header_image )
					$( '.home-link' ).css( 'min-height', '0' );
				$( '.site-title, .site-description' ).css( {
					'clip': 'rect(1px, 1px, 1px, 1px)',
					'position': 'absolute'
				} );
			} else {
				$( '.home-link' ).css( 'min-height', '230px' );
				$( '.site-title, .site-description' ).css( {
					'clip': 'auto',
					'color': to,
					'position': 'relative'
				} );
			}
		} );
	} );
} )( jQuery );