<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that other
 * 'pages' on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */

get_header(); ?>

<div class="row">
		
	<div class="col-xs-12 col-sm-8">
		
		<div class="amatheme-post amatheme-page">
		<div id="content" class="col-md-12" role="main">	

		<?php while ( have_posts() ) : the_post(); ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					
				<div class="thumbnail amatheme-post-header">
					<h1 class="entry-title"><?php the_title(); ?></h1>

					<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
						<?php the_post_thumbnail('featured'); ?>
					<?php endif; ?>
				</div><!-- /.amatheme-post-header -->
				
				<div class="col-md-12 amatheme-post-meta">
					<ul>
						<li class="col-md-6 post-rating">								
							<?php edit_post_link( __( 'Edit', 'amatheme' ), '<span class="edit-link">', '</span>' ); ?>
						</li>
					
						<li class="col-md-6 post-meta">
							<?php amatheme_entry_meta(); ?>
						</li>
					</ul>	
				</div><!-- /.amatheme-post-meta -->

				<div class="amatheme-post-area">
					<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'amatheme' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
				</div><!-- .entry-content -->
			</article><!-- #post -->

			<?php comments_template(); ?>
				
		<?php endwhile; ?>

		</div><!-- /.col-md-12 -->
		</div><!-- /.amatheme-post -->

	</div><!-- /.col-xs-12 -->

<?php get_sidebar(); ?>

</div><!--/ .row-->

<?php get_footer(); ?>