<?php
/**
 * The Template for displaying all comparison posts.
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */

get_header(); ?>

<div class="row">
		
	<div class="col-xs-12 col-sm-12">
		
		<div class="amatheme-post">
		<div id="content" role="main">	

			<?php /* The loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content' , 'comparison' ); ?>
				
				<ul class="comparison-list clearfix">
					
				<?php if( get_field('compare_1') ): ?>
					<li class="col-xs-12 col-md-3">
						<?php if( get_field('compare_1_image') ): ?>
							<?php 
								$attachment_id = get_field('compare_1_image');
								$size = 'thumbnail'; // (thumbnail, medium, large, full or custom size)
								$image = wp_get_attachment_image_src( $attachment_id, $size );
								$attachmentinfo = get_post( $attachment_id );
								$alt = get_post_meta($attachmentinfo->ID, '_wp_attachment_image_alt', true);
							?>
							<div class="compare-thumb">
							<?php if( get_field('affiliate_link_1') ): ?>
								<a href="<?php the_field('affiliate_link_1'); // display the aff link ?>"><img src="<?php echo $image[0]; // display the image ?>" alt="<?php echo $alt; ?>" class="thumbnail" /></a>
							<?php else :?>
								<img src="<?php echo $image[0]; ?>" alt="<?php echo $alt; ?>" />
							<?php endif; ?>
							</div>
						<?php endif; ?>
						
						<h3><?php the_field('title_1'); // display the title ?></h3>
						<?php the_field('compare_1'); // display the content ?>
						
						<?php
							$field = get_field_object('rating_1');
							$value = get_field('rating_1');
							$label = $field['choices'][ $value ]; ?>
						<?php if ($label ==  ".5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-point-five.png" alt="Rated: .5" /></p>
						<?php } elseif ($label ==  "1") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-one.png" alt="Rated: 1" /></p>
						<?php } elseif ($label ==  "1.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-one-five.png" alt="Rated: 1.5" /></p>
						<?php } elseif ($label ==  "2") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-two.png" alt="Rated: 2" /></p>
						<?php } elseif ($label ==  "2.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-two-five.png" alt="Rated: 2.5" /></p>
						<?php } elseif ($label ==  "3") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-three.png" alt="Rated: 3" /></p>
						<?php } elseif ($label ==  "3.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-three-five.png" alt="Rated: 3.5" /></p>
						<?php } elseif ($label ==  "4") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-four.png" alt="Rated: 4" /></p>
						<?php } elseif ($label ==  "4.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-four-five.png" alt="Rated: 4.5" /></p>
						<?php } elseif ($label ==  "5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-five.png" alt="Rated: 5" /></p>
						<?php } ?>
						
						<?php if( get_field('affiliate_link_1') ): ?>
							<p class="compare-buy-now"><a href="<?php the_field('affiliate_link_1'); // display the aff link ?>" class="btn btn-warning"><span class="glyphicon glyphicon-shopping-cart"></span> <?php _e('Buy Now', 'amatheme'); ?></a></p>
						<?php endif; ?>
					</li>
				<?php endif; // compare_1 endif ?>
					
				<?php if( get_field('compare_2') ): ?>
					<li class="col-xs-12 col-md-3">
						<?php if( get_field('compare_2_image') ): ?>
							<?php 
								$attachment_id = get_field('compare_2_image');
								$size = 'thumbnail'; // (thumbnail, medium, large, full or custom size)
								$image = wp_get_attachment_image_src( $attachment_id, $size );
								$attachmentinfo = get_post( $attachment_id );
								$alt = get_post_meta($attachmentinfo->ID, '_wp_attachment_image_alt', true);
							?>
							<div class="compare-thumb">
							<?php if( get_field('affiliate_link_2') ): ?>
								<a href="<?php the_field('affiliate_link_2'); // display the aff link ?>"><img src="<?php echo $image[0]; // display the image ?>" alt="<?php echo $alt; ?>" class="thumbnail" /></a>
							<?php else :?>
								<img src="<?php echo $image[0]; ?>" alt="<?php echo $alt; ?>" />
							<?php endif; ?>
							</div>
						<?php endif; ?>
						
						<h3><?php the_field('title_2'); // display the title ?></h3>
						<?php the_field('compare_2'); // display the content ?>
						
						<?php
							$field = get_field_object('rating_2');
							$value = get_field('rating_2');
							$label = $field['choices'][ $value ]; ?>
						<?php if ($label ==  ".5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-point-five.png" alt="Rated: .5" /></p>
						<?php } elseif ($label ==  "1") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-one.png" alt="Rated: 1" /></p>
						<?php } elseif ($label ==  "1.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-one-five.png" alt="Rated: 1.5" /></p>
						<?php } elseif ($label ==  "2") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-two.png" alt="Rated: 2" /></p>
						<?php } elseif ($label ==  "2.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-two-five.png" alt="Rated: 2.5" /></p>
						<?php } elseif ($label ==  "3") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-three.png" alt="Rated: 3" /></p>
						<?php } elseif ($label ==  "3.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-three-five.png" alt="Rated: 3.5" /></p>
						<?php } elseif ($label ==  "4") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-four.png" alt="Rated: 4" /></p>
						<?php } elseif ($label ==  "4.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-four-five.png" alt="Rated: 4.5" /></p>
						<?php } elseif ($label ==  "5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-five.png" alt="Rated: 5" /></p>
						<?php } ?>
						
						<?php if( get_field('affiliate_link_2') ): ?>
							<p class="compare-buy-now"><a href="<?php the_field('affiliate_link_2'); // display the aff link ?>" class="btn btn-warning"><span class="glyphicon glyphicon-shopping-cart"></span> <?php _e('Buy Now', 'amatheme'); ?></a></p>
						<?php endif; ?>
					</li>
				<?php endif; // compare_2 endif ?>
				
				<?php if( get_field('compare_3') ): ?>
					<li class="col-xs-12 col-md-3">
						<?php if( get_field('compare_3_image') ): ?>
							<?php 
								$attachment_id = get_field('compare_3_image');
								$size = 'thumbnail'; // (thumbnail, medium, large, full or custom size)
								$image = wp_get_attachment_image_src( $attachment_id, $size );
								$attachmentinfo = get_post( $attachment_id );
								$alt = get_post_meta($attachmentinfo->ID, '_wp_attachment_image_alt', true);
							?>
							<div class="compare-thumb">
							<?php if( get_field('affiliate_link_3') ): ?>
								<a href="<?php the_field('affiliate_link_3'); // display the aff link ?>"><img src="<?php echo $image[0]; // display the image ?>" alt="<?php echo $alt; ?>" class="thumbnail" /></a>
							<?php else :?>
								<img src="<?php echo $image[0]; ?>" alt="<?php echo $alt; ?>" />
							<?php endif; ?>
							</div>
						<?php endif; ?>
						
						<h3><?php the_field('title_3'); // display the title ?></h3>
						<?php the_field('compare_3'); // display the content ?>
						
						<?php
							$field = get_field_object('rating_3');
							$value = get_field('rating_3');
							$label = $field['choices'][ $value ]; ?>
						<?php if ($label ==  ".5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-point-five.png" alt="Rated: .5" /></p>
						<?php } elseif ($label ==  "1") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-one.png" alt="Rated: 1" /></p>
						<?php } elseif ($label ==  "1.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-one-five.png" alt="Rated: 1.5" /></p>
						<?php } elseif ($label ==  "2") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-two.png" alt="Rated: 2" /></p>
						<?php } elseif ($label ==  "2.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-two-five.png" alt="Rated: 2.5" /></p>
						<?php } elseif ($label ==  "3") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-three.png" alt="Rated: 3" /></p>
						<?php } elseif ($label ==  "3.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-three-five.png" alt="Rated: 3.5" /></p>
						<?php } elseif ($label ==  "4") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-four.png" alt="Rated: 4" /></p>
						<?php } elseif ($label ==  "4.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-four-five.png" alt="Rated: 4.5" /></p>
						<?php } elseif ($label ==  "5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-five.png" alt="Rated: 5" /></p>
						<?php } ?>
						
						<?php if( get_field('affiliate_link_3') ): ?>
							<p class="compare-buy-now"><a href="<?php the_field('affiliate_link_3'); // display the aff link ?>" class="btn btn-warning"><span class="glyphicon glyphicon-shopping-cart"></span> <?php _e('Buy Now', 'amatheme'); ?></a></p>
						<?php endif; ?>
					</li>
				<?php endif; // compare_3 endif ?>
				
				<?php if( get_field('compare_4') ): ?>
					<li class="col-xs-12 col-md-3">
						<?php if( get_field('compare_4_image') ): ?>
							<?php 
								$attachment_id = get_field('compare_4_image');
								$size = 'thumbnail'; // (thumbnail, medium, large, full or custom size)
								$image = wp_get_attachment_image_src( $attachment_id, $size );
								$attachmentinfo = get_post( $attachment_id );
								$alt = get_post_meta($attachmentinfo->ID, '_wp_attachment_image_alt', true);
							?>
							<div class="compare-thumb">
							<?php if( get_field('affiliate_link_4') ): ?>
								<a href="<?php the_field('affiliate_link_4'); // display the aff link ?>"><img src="<?php echo $image[0]; // display the image ?>" alt="<?php echo $alt; ?>" class="thumbnail" /></a>
							<?php else :?>
								<img src="<?php echo $image[0]; ?>" alt="<?php echo $alt; ?>" />
							<?php endif; ?>
							</div>
						<?php endif; ?>
						
						<h3><?php the_field('title_4'); // display the title ?></h3>
						<?php the_field('compare_4'); // display the content ?>
						
						<?php
							$field = get_field_object('rating_4');
							$value = get_field('rating_4');
							$label = $field['choices'][ $value ]; ?>
						<?php if ($label ==  ".5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-point-five.png" alt="Rated: .5" /></p>
						<?php } elseif ($label ==  "1") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-one.png" alt="Rated: 1" /></p>
						<?php } elseif ($label ==  "1.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-one-five.png" alt="Rated: 1.5" /></p>
						<?php } elseif ($label ==  "2") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-two.png" alt="Rated: 2" /></p>
						<?php } elseif ($label ==  "2.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-two-five.png" alt="Rated: 2.5" /></p>
						<?php } elseif ($label ==  "3") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-three.png" alt="Rated: 3" /></p>
						<?php } elseif ($label ==  "3.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-three-five.png" alt="Rated: 3.5" /></p>
						<?php } elseif ($label ==  "4") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-four.png" alt="Rated: 4" /></p>
						<?php } elseif ($label ==  "4.5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-four-five.png" alt="Rated: 4.5" /></p>
						<?php } elseif ($label ==  "5") { ?>
							<p class="compare-rate">Rating: <img src="<?php bloginfo('template_url'); ?>/img/rating-five.png" alt="Rated: 5" /></p>
						<?php } ?>
						
						<?php if( get_field('affiliate_link_4') ): ?>
							<p class="compare-buy-now"><a href="<?php the_field('affiliate_link_4'); // display the aff link ?>" class="btn btn-warning"><span class="glyphicon glyphicon-shopping-cart"></span> <?php _e('Buy Now', 'amatheme'); ?></a></p>
						<?php endif; ?>
					</li>
				<?php endif; // compare_4 endif ?>
				
			</ul>
				<?php amatheme_post_nav(); ?>
				<?php comments_template(); ?>

			<?php endwhile; ?>

		</div><!-- /.col-md-12 -->
		</div><!-- /.amatheme-post -->

	</div><!-- /.col-xs-12 -->

</div><!--/ .row-->

<?php get_footer(); ?>