<?php
/**
 * The template for displaying Post Format pages.
 *
 * Used to display archive-type pages for posts with a post format.
 * If you'd like to further customize these Post Format views, you may create a
 * new template file for each specific one.
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */

get_header(); ?>

<div class="row">
		
	<div class="col-xs-12 col-sm-8">
	
		<div class="amatheme-post amatheme-archive">
		<div id="content" class="col-md-12" role="main">	

			<?php if ( have_posts() ) : ?>
				<div class="thumbnail amatheme-post-header">
					<h3 class="archive-title"><?php printf( __( '%s Archives', 'amatheme' ), '<span>' . get_post_format_string( get_post_format() ) . '</span>' ); ?></h3>
				</div><!-- .archive-header -->

				<?php /* The loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<div class="amatheme-archive-holder amatheme-archive-comparisons">
		
						<div class="thumbnail amatheme-post-header">
							<h1 class="entry-title">
								<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
							</h1>

							<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
								<?php the_post_thumbnail('featured'); ?>
							<?php endif; ?>
						</div><!-- /.amatheme-post-header -->
						
						<div class="amatheme-post-area">
							<?php the_excerpt(); ?>
							<p class="edit-link"><?php edit_post_link( __( 'Edit', 'amatheme' ), '<span class="edit-link">', '</span>' ); ?></p>
						</div><!-- /.amatheme-post-area -->
					
					</div>
				<?php endwhile; ?>

				<?php amatheme_paging_nav(); ?>

			<?php else : ?>
				<p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'amatheme' ); ?></p>
				<div class="col-md-4 searchdiv"><?php get_search_form(); ?></div>
			<?php endif; ?>

		</div><!-- /.col-md-12 -->
		</div><!-- /.amatheme-post -->

	</div><!-- /.col-xs-12 -->

<?php get_sidebar(); ?>

</div><!--/ .row-->

<?php get_footer(); ?>