<?php
/**
 * The template for displaying Post Format pages.
 *
 * Used to display archive-type pages for posts with a post format.
 * If you'd like to further customize these Post Format views, you may create a
 * new template file for each specific one.
 *
 * @package WordPress
 * @subpackage AmaTheme
 * @since AmaTheme 1.0
 */

get_header(); ?>

<div class="row">
		
	<div class="col-xs-12 col-sm-8">

	<div class="amatheme-post amatheme-archive">
		<div id="content" class="col-md-12" role="main">

		<?php if ( have_posts() ) : ?>
			<div class="thumbnail amatheme-post-header">
				<h1 class="archive-title"><?php printf( __( '%s Archives', 'amatheme' ), '<span>' . get_post_format_string( get_post_format() ) . '</span>' ); ?></h1>
			</div><!-- .archive-header -->

			<?php /* The loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'content', get_post_format() ); ?>
			<?php endwhile; ?>

			<?php amatheme_paging_nav(); ?>

		<?php else : ?>
			<?php get_template_part( 'content', 'none' ); ?>
		<?php endif; ?>

	</div><!-- /.col-md-12 -->
</div><!-- /.amatheme-post -->

</div><!-- /.col-xs-12 -->

<?php get_sidebar(); ?>

</div><!--/ .row-->

<?php get_footer(); ?>